Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11792)
@@ -3201,22 +3905,24 @@
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="TooltipLeftEdge" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="TooltipTopEdge" dimension="Height" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="TooltipRightEdge" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="TooltipBottomEdge" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Colours topLeft="FF000000" topRight="FF000000" bottomLeft="FF000000" bottomRight="FF000000" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezGreenLook/TooltipLeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="TaharezGreenLook/TooltipTopEdge" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/TooltipRightEdge" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/TooltipBottomEdge" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Colours bottomLeft="FF000000" bottomRight="FF000000" topLeft="FF000000" topRight="FF000000" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="CentreAligned" />
@@ -3236,30 +3942,37 @@
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/ScrollablePane
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/ScrollablePane">
         <NamedArea name="ViewableArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ViewableAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_hscrollbar__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_hscrollbar__" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -3267,51 +3980,74 @@
         <NamedArea name="ViewableAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ViewableAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_hscrollbar__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_hscrollbar__" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="TaharezGreenLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-12" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="12" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="TaharezGreenLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-12" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="12" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="TaharezGreenLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="12" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-12" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="TaharezGreenLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="12" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-12" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -3320,23 +4056,25 @@
         <StateImagery name="Disabled" />
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/TabButton
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/TabButton">
-        <PropertyDefinition name="NormalTextColour" initialValue="FFC0C0C0" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverTextColour" initialValue="FFE0E0E0" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectedTextColour" initialValue="FFE0E0E0" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF7F7F7F" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFC0C0C0" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFE0E0E0" name="HoverTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="PushedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFE0E0E0" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF7F7F7F" name="DisabledTextColour" redrawOnWrite="true" />
         <ImagerySection name="label">
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <VertFormat type="CentreAligned" />
@@ -3347,18 +4085,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="TabButtonUpperLeftNormal" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="TabButtonUpperRightNormal" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="TabButtonLowerLeftNormal" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="TabButtonLowerRight2Normal" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="TabButtonLeftNormal" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="TabButtonRightNormal" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="TabButtonUpperNormal" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="TabButtonLowerNormal" />
-                <Image type="Background" imageset="TaharezGreenLook" image="TabButtonMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/TabButtonUpperLeftNormal" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/TabButtonUpperRightNormal" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/TabButtonLowerLeftNormal" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/TabButtonLowerRight2Normal" />
+                <Image component="LeftEdge" name="TaharezGreenLook/TabButtonLeftNormal" />
+                <Image component="RightEdge" name="TaharezGreenLook/TabButtonRightNormal" />
+                <Image component="TopEdge" name="TaharezGreenLook/TabButtonUpperNormal" />
+                <Image component="BottomEdge" name="TaharezGreenLook/TabButtonLowerNormal" />
+                <Image component="Background" name="TaharezGreenLook/TabButtonMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -3366,18 +4112,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="TabButtonUpperLeft2Normal" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="TabButtonUpperRightNormal" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="TabButtonLowerLeftNormal" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="TabButtonLowerRightNormal" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="TabButtonLeftNormal" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="TabButtonRightNormal" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="TabButtonUpperNormal" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="TabButtonLowerNormal" />
-                <Image type="Background" imageset="TaharezGreenLook" image="TabButtonMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/TabButtonUpperLeft2Normal" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/TabButtonUpperRightNormal" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/TabButtonLowerLeftNormal" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/TabButtonLowerRightNormal" />
+                <Image component="LeftEdge" name="TaharezGreenLook/TabButtonLeftNormal" />
+                <Image component="RightEdge" name="TaharezGreenLook/TabButtonRightNormal" />
+                <Image component="TopEdge" name="TaharezGreenLook/TabButtonUpperNormal" />
+                <Image component="BottomEdge" name="TaharezGreenLook/TabButtonLowerNormal" />
+                <Image component="Background" name="TaharezGreenLook/TabButtonMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -3385,18 +4139,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="TabButtonUpperLeftNormal" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="TabButtonUpperRightNormal" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="TabButtonLowerLeftNormal" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="TabButtonLowerRight2Normal" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="TabButtonLeftNormal" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="TabButtonRightNormal" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="TabButtonUpperNormal" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="TabButtonLowerNormal" />
-                <Image type="Background" imageset="TaharezGreenLook" image="TabButtonMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/TabButtonUpperLeftNormal" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/TabButtonUpperRightNormal" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/TabButtonLowerLeftNormal" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/TabButtonLowerRight2Normal" />
+                <Image component="LeftEdge" name="TaharezGreenLook/TabButtonLeftNormal" />
+                <Image component="RightEdge" name="TaharezGreenLook/TabButtonRightNormal" />
+                <Image component="TopEdge" name="TaharezGreenLook/TabButtonUpperNormal" />
+                <Image component="BottomEdge" name="TaharezGreenLook/TabButtonLowerNormal" />
+                <Image component="Background" name="TaharezGreenLook/TabButtonMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -3404,18 +4166,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="TabButtonUpperLeft2Normal" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="TabButtonUpperRightNormal" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="TabButtonLowerLeftNormal" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="TabButtonLowerRightNormal" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="TabButtonLeftNormal" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="TabButtonRightNormal" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="TabButtonUpperNormal" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="TabButtonLowerNormal" />
-                <Image type="Background" imageset="TaharezGreenLook" image="TabButtonMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/TabButtonUpperLeft2Normal" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/TabButtonUpperRightNormal" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/TabButtonLowerLeftNormal" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/TabButtonLowerRightNormal" />
+                <Image component="LeftEdge" name="TaharezGreenLook/TabButtonLeftNormal" />
+                <Image component="RightEdge" name="TaharezGreenLook/TabButtonRightNormal" />
+                <Image component="TopEdge" name="TaharezGreenLook/TabButtonUpperNormal" />
+                <Image component="BottomEdge" name="TaharezGreenLook/TabButtonLowerNormal" />
+                <Image component="Background" name="TaharezGreenLook/TabButtonMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -3423,15 +4193,23 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="TabButtonUpperLeftSelected" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="TabButtonUpperSelected" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="TabButtonUpperRightSelected" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="TabButtonLeftSelected" />
-                <Image type="Background" imageset="TaharezGreenLook" image="TabButtonMiddleSelected" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="TabButtonRightSelected" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/TabButtonUpperLeftSelected" />
+                <Image component="TopEdge" name="TaharezGreenLook/TabButtonUpperSelected" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/TabButtonUpperRightSelected" />
+                <Image component="LeftEdge" name="TaharezGreenLook/TabButtonLeftSelected" />
+                <Image component="Background" name="TaharezGreenLook/TabButtonMiddleSelected" />
+                <Image component="RightEdge" name="TaharezGreenLook/TabButtonRightSelected" />
             </FrameComponent>
         </ImagerySection>
@@ -3439,15 +4217,23 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="TabButtonLeftSelected" />
-                <Image type="Background" imageset="TaharezGreenLook" image="TabButtonMiddleSelected" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="TabButtonRightSelected" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="TabButtonLowerLeftNormal" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="TabButtonLowerNormal" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="TabButtonLowerRightNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="TaharezGreenLook/TabButtonLeftSelected" />
+                <Image component="Background" name="TaharezGreenLook/TabButtonMiddleSelected" />
+                <Image component="RightEdge" name="TaharezGreenLook/TabButtonRightSelected" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/TabButtonLowerLeftNormal" />
+                <Image component="BottomEdge" name="TaharezGreenLook/TabButtonLowerNormal" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/TabButtonLowerRightNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -3519,5 +4305,5 @@
             <Layer>
                 <Section section="top_normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="label">
@@ -3529,5 +4315,5 @@
             <Layer>
                 <Section section="bot_normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="label">
